Package org.freeplane.api

# Interface NodeStyleRO

All Known Subinterfaces:
  `NodeStyle`, `Proxy.NodeStyle`, `Proxy.NodeStyleRO`

public interface NodeStyleRO
Node's style: `node.style` - read-only.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackgroundColor()`
`String`
`getBackgroundColorCode()`
returns HTML color spec like #ff0000 (red) or #222222 (darkgray).
`Edge`
`getEdge()`
`Font`
`getFont()`
`int`
`getMaxNodeWidth()`
`int`
`getMinNodeWidth()`
`String`
`getName()`
Returns the name of the node's style if set or null otherwise.
`Color`
`getNodeTextColor()`
Deprecated.
since 1.2 - use `getTextColor()` instead.
`Node`
`getStyleNode()`
`Color`
`getTextColor()`
`String`
`getTextColorCode()`
`boolean`
`isFloating()`
`boolean`
`isNumberingEnabled()`

## Method Details

### getName

String getName()
Returns the name of the node's style if set or null otherwise. For styles with translated names the translation key is returned to make the process robust against language setting changes. It's guaranteed that `node.style.name = node.style.name` does not change the style.

Since:
  1.2.2

### getStyleNode

Node getStyleNode()

### getBackgroundColor

Color getBackgroundColor()

### getBackgroundColorCode

String getBackgroundColorCode()
returns HTML color spec like #ff0000 (red) or #222222 (darkgray).

Since:
  1.2

### getEdge

Edge getEdge()

### getFont

Font getFont()

### getNodeTextColor

@Deprecated Color getNodeTextColor()
Deprecated.
since 1.2 - use `getTextColor()` instead.

### getTextColor

Color getTextColor()

Since:
  1.2

### getTextColorCode

String getTextColorCode()

### isFloating

boolean isFloating()

Since:
  1.2 true if the floating style is set for the node (aka "free node").

### getMinNodeWidth

int getMinNodeWidth()

Since:
  1.2.20

### getMaxNodeWidth

int getMaxNodeWidth()

Since:
  1.2.20

### isNumberingEnabled

boolean isNumberingEnabled()

Since:
  1.3.8